# Werma WIN Ethernet

The Werma WIN system is a wireless communication system for making simple machine state information available for digital processing. The system especially enables connected stacklights. With the Cybus Connectware, the Werma WIN data can easily be made available in your shopfloor data structure.

The Werma WIN system consists of the following components:

Werma WIN Ethernet Master

The master acts as an access point to the wireless sensor system. Its ethernet port must be reachable by the Cybus Connectware. In order to commission the data acquisition, the IP address of the ethernet master must be known. A single master is used for managing access to multiple slaves.

Werma WIN Slaves

Each machine / stack light is equipped with a dedicated slave. Each slave is identified by its mac address, which can be found out by inspecting the Cybus logs or with the Werma WIN Windows Configuration tool. Every slave provides the following data points:

* RSSI: an indicator for the wireless signal strength of this particular slave.
* Tiers (t1,t2,t3,t4): represent the state of the up to four digital switches. A tier is usually associated with a specific color. Tiers may carry one of the following values: ‘on’, ‘off’, or ‘blink’.

State updates from slaves can be triggered asynchronously at fixed time intervals as well as on state changes of any of the tiers.

Werma WIN Easy Software

For system setup and configuration and especially the association between master and slaves, you need to use the Werma WIN Windows Software that is shipped with the hardware.

Werma WIN Shopfloor Manager

The proprietary shopfloor management application from Werma can be used in conjunction with the Connectware. Because a Werma WIN Ethernet Master does not allow multiple concurrent connections, the Cybus Werma Proxy Service can be used to distribute data simultaneously.

The *Cybus Connectware* `Werma` protocol maps the proprietary Werma WIN Protocol into MQTT/JSON.

[Connection Properties](/1-10-2/documentation/industry-protocol-details/werma-win-ethernet/wermaconnection.md)

[Endpoint Properties](/1-10-2/documentation/industry-protocol-details/werma-win-ethernet/wermaendpoint.md)

## Service Commissioning File Example

The following example demonstrates how to configure a simple Werma connection and endpoint that subscribes to a device specified by its MAC address.

```yaml
wermaConnection:
 </strong>  type: Cybus::Connection
   properties:
     protocol: Werma
     connection:
       port: !ref host
       host: !ref host
       password: !ref password
       connectionStrategy:
         initialDelay: 1000
         maxDelay: 10000
         incrementFactor: 2

 wermaSubscribe:
   type: Cybus::Endpoint
   properties:
     protocol: Werma
     connection: !ref wermaConnection
     subscribe:
       mac: !ref macAddress
```

### Received data for tiers

{% code lineNumbers="true" %}

```yaml
{ 'timestamp': '<unix timestamp in ms>', 'value': "'on'|'off'|'blink'" }
```

{% endcode %}

### Received data for rssi

{% code lineNumbers="true" %}

```yaml
{ 'timestamp': '<unix timestamp in ms>', 'value': '<float>' }
```

{% endcode %}

### Received data for all

{% code lineNumbers="true" %}

```yaml
{
    'timestamp': '<unix timestamp in ms>',
    'value': { 't1': "'on'|'off'|'blink'", 't2': "'on'|'off'|'blink'", 't3': "'on'|'off'|'blink'", 't4': "'on'|'off'|'blink'", 'rssi': '<float>' },
}
```

{% endcode %}

### Received data for raw

The raw data is forwarded as received from the Werma WIN Ethernet master without any further processing or decoration.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cybus.io/1-10-2/documentation/industry-protocol-details/werma-win-ethernet.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
